# Ogre::Compiler2Pass::TokenState Struct Reference

`#include <OgreCompiler2Pass.h>`

List of all members.

## Public Attributes

TokenInstContainer | tokenQue
LexemeTokenDefContainer | lexemeTokenDefinitions
TokenRuleContainer | rootRulePath
LexemeTokenMap | lexemeTokenMap

## Member Data Documentation

LexemeTokenDefContainer Ogre::Compiler2Pass::TokenState::lexemeTokenDefinitions

| Definition at line 246 of file OgreCompiler2Pass.h.

LexemeTokenMap Ogre::Compiler2Pass::TokenState::lexemeTokenMap

| Definition at line 248 of file OgreCompiler2Pass.h.

TokenRuleContainer Ogre::Compiler2Pass::TokenState::rootRulePath

| Definition at line 247 of file OgreCompiler2Pass.h.

TokenInstContainer Ogre::Compiler2Pass::TokenState::tokenQue

| Definition at line 245 of file OgreCompiler2Pass.h.

The documentation for this struct was generated from the following file:

- OgreCompiler2Pass.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 17 15:39:31 2006